summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index 37f1a69..2ff75d7 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -26,10 +26,18 @@ if [ $? -ne 0 ]; then
exit 1
fi
-mkdir config
+mkdir -p config
+if [ $? -ne 0 ]; then
+ echo
+ echo "Cannot create config directory."
+ echo
+ exit 1
+fi
+
autoreconf --install --force --verbose -I config
if [ $? -ne 0 ]; then
echo
echo "Could not run autoreconf, check autotools installation."
echo
+ exit 1
fi